import React, { useEffect } from "react";
import { useNavigate } from "react-router-dom";

import { Typography, Button, Box, Container, Avatar } from "@mui/material";

import { useWalletConnectContext } from "../context/WalletConnectContext";

const ConnectWallet = () => {
  const { connect, session } = useWalletConnectContext();

  const navigate = useNavigate();

  useEffect(() => {
    if (session) {
      navigate("/sign-with-nitro-key");
    }
  }, [session, navigate]);

  const handler = async () => {
    await connect();
  };

  return (
    <Container maxWidth="lg">
      <Box
        display="flex"
        flexDirection="column"
        alignItems="center"
        height="50vh"
        justifyContent="center"
        padding={5}
      >
        <Box display="flex" alignItems="center">
          <Avatar
            alt="Laconic logo"
            src="https://avatars.githubusercontent.com/u/92608123"
          />
          <Typography
            variant="h4"
            component="h6"
            style={{ marginLeft: "10px" }}
          >
            Testnet Onboarding
          </Typography>
        </Box>
        <Typography variant="h6" component="h6" style={{ marginTop: "30px" }}>
          Connect wallet
        </Typography>
        <Button
          variant="contained"
          onClick={handler}
          style={{ marginTop: "20px" }}
        >
          Connect
        </Button>
      </Box>
    </Container>
  );
};

export default ConnectWallet;
